# Test: Missing required 'agent' top-level key
# Expected: FAIL
# Error code: invalid_type
# Error path: agent
# Error expected: object

metadata:
  id: bad-test
  name: Bad Test Agent
  title: Bad Test
  icon: ❌
